<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <h2>Enregistrer un nouveau livre</h2>
    <form [formGroup]="bookForm" (ngSubmit)="onSaveBook()"> <!-- on injecte formulaire bookForm depuis book-form.component.ts et onsubmit on execute fonction onSaveBook()-->
      <div class="form-group">
        <label for="title">Titre</label>
        <input type="text" class="form-control" id="title" formControlName="title">
      </div>
      <div class="form-group">
        <label for="author">Auteur</label>
        <input type="text" class="form-control" id="author" formControlName="author">
      </div>
      <div class="form-group">
        <h4>Ajouter une photo</h4>
        <input type="file" (change)="detectFiles($event)" class="form-control" accept="image/*"> <!-- add input for book image et accept="image/*" signifie que seuls les images pourront être uploadées ; (change)="detectFiles($event)" lors du changement d etat de l input on verifie la présence de fichiers-->
        <p class="text-success" *ngIf="fileUploaded">Fichier chargé !</p>
      </div>
      <button class="btn btn-success"
              [disabled]="bookForm.invalid || fileIsUploading"
              type="submit">Enregistrer</button> <!-- désactivé si formulaire bookForm est invalide ou si un fichier est entrain de charger afin d'éviter bugs-->
    </form>
  </div>
</div>
